package com.hotent.baseInfo.manager;

import com.hotent.baseInfo.model.CostDistrict;
import com.hotent.base.manager.BaseManager;

import java.util.List;
import java.util.Set;

/**
 * 地区表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-17
 */
public interface CostDistrictManager extends BaseManager<CostDistrict> {


	//根据父级id获取子集
	List<CostDistrict> getListByPid(Integer pid);

	//获取所有省
	List<CostDistrict> getProvinces();


	//根据code获取地区
	CostDistrict getByCode(String code);

	//获取省市区树结构
	List<CostDistrict> getDistrictTree();
}
